Skip to content

Get tenant profile

GET
/api/v1/tenant
curl --request GET \
--url https://api.ultimateteam.ai/api/v1/tenant \
--header 'X-API-Key: <X-API-Key>'

Return the current tenant’s name, plan, and settings.

Successful Response

Media typeapplication/json
TenantProfileResponse

Wrapper response for GET /tenant.

Attributes: data: The tenant profile payload.

object
data
required
TenantProfileData

Tenant profile fields returned by GET /tenant.

Attributes: id: Unique tenant identifier. name: Display name of the tenant / business. slug: URL-safe unique identifier. plan: Current subscription plan tier. plan_status: Billing status (e.g. trialing, active). settings: Arbitrary tenant settings dict. token_budget_monthly: Monthly token allowance. tokens_used_this_month: Tokens consumed this month.

object
id
required
Id
string format: uuid
name
required
Name
string
plan
required
Plan
string
plan_status
required
Plan Status
string
settings
required
Settings
object
key
additional properties
any
slug
required
Slug
string
token_budget_monthly
required
Token Budget Monthly
integer
tokens_used_this_month
required
Tokens Used This Month
integer
Examplegenerated
{
"data": {
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"name": "example",
"plan": "example",
"plan_status": "example",
"settings": {},
"slug": "example",
"token_budget_monthly": 1,
"tokens_used_this_month": 1
}
}